commit:     d866de000dade476b5e9f036b5d46965c566d833
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu May 31 13:22:27 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu May 31 13:24:16 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d866de00

kde-misc/kdeconnect: 1.3.1 version bump

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 kde-misc/kdeconnect/Manifest                |  1 +
 kde-misc/kdeconnect/kdeconnect-1.3.1.ebuild | 89 +++++++++++++++++++++++++++++
 kde-misc/kdeconnect/metadata.xml            |  1 +
 3 files changed, 91 insertions(+)

diff --git a/kde-misc/kdeconnect/Manifest b/kde-misc/kdeconnect/Manifest
index eb7f159adfc..1c7659d3606 100644
--- a/kde-misc/kdeconnect/Manifest
+++ b/kde-misc/kdeconnect/Manifest
@@ -1,2 +1,3 @@
 DIST kdeconnect-kde-1.3.0.tar.xz 281972 BLAKE2B 
62e8b59bc661be7a17ef4e160411dff2150ea8639f69388f32453d3b0066ebc7333987b7df31241eac7d95b994f91347432226ef7f5d7bb864b87108fb974544
 SHA512 
837f6129393fc1e6d68c1c0cc7eea244bc1702fa4beb9bfc764d001077a890ff7c9a954de738ccabb3369f1a9a08325300514eecdbced939ad8e8b360a4b2045
+DIST kdeconnect-kde-1.3.1.tar.xz 283636 BLAKE2B 
8790ff2f411539db6759ddcad6a9401b2769c7c02f7a0465e0141f10eb6b5675fa56ac89bce94ae02326ce6eb13911f0b97684660df05195df596c1848d1f219
 SHA512 
52157dc7c7c3caec9871e9feb69c7aa8b82738fa5d4e60bb7492a9ded672351fbb6773ebf166281da9e585798583c1b23ac52bfd60927bb606472b19c5dc8538
 DIST kdeconnect-kde-v1.2.1.tar.xz 278612 BLAKE2B 
a0803f34232eca16baf2c00ea96ccc33be8c631b40041aa6cfffab933ba984ff95639ae3103bd6499583ac6ba0c8e70f50bd6db30ff3d50f93a5d9e232dec303
 SHA512 
d336350ce1698d1fc2aa2ee02a4fec9c7ce5eedbf346ec40d502f7b5c1c555a370f09a65d88d70ece09c4a7bcf240921df31f803215afce657c9b4cb113baa58

diff --git a/kde-misc/kdeconnect/kdeconnect-1.3.1.ebuild 
b/kde-misc/kdeconnect/kdeconnect-1.3.1.ebuild
new file mode 100644
index 00000000000..e5896a909ec
--- /dev/null
+++ b/kde-misc/kdeconnect/kdeconnect-1.3.1.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+KDE_HANDBOOK="forceoptional"
+KDE_TEST="true"
+KMNAME="${PN}-kde"
+KDE_SELINUX_MODULE="${PN}"
+inherit kde5
+
+if [[ ${KDE_BUILD_TYPE} = release ]]; then
+       SRC_URI="mirror://kde/stable/${PN}/${PV}/src/${KMNAME}-${PV}.tar.xz"
+       KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="Adds communication between KDE Plasma and your smartphone"
+HOMEPAGE="https://www.kde.org/ https://community.kde.org/KDEConnect";
+LICENSE="GPL-2+"
+IUSE="app mousepad wayland"
+
+DEPEND="
+       $(add_frameworks_dep kcmutils)
+       $(add_frameworks_dep kconfig)
+       $(add_frameworks_dep kconfigwidgets)
+       $(add_frameworks_dep kcoreaddons)
+       $(add_frameworks_dep kdbusaddons)
+       $(add_frameworks_dep ki18n)
+       $(add_frameworks_dep kiconthemes)
+       $(add_frameworks_dep kio)
+       $(add_frameworks_dep knotifications)
+       $(add_frameworks_dep kservice)
+       $(add_frameworks_dep kwidgetsaddons)
+       $(add_qt_dep qtdbus)
+       $(add_qt_dep qtdeclarative)
+       $(add_qt_dep qtgui)
+       $(add_qt_dep qtnetwork)
+       $(add_qt_dep qtwidgets)
+       $(add_qt_dep qtx11extras)
+       >=app-crypt/qca-2.1.0:2[qt5(+),ssl]
+       app? ( $(add_frameworks_dep kdeclarative) )
+       mousepad? (
+               x11-libs/libfakekey
+               x11-libs/libX11
+               x11-libs/libXtst
+       )
+       wayland? ( $(add_frameworks_dep kwayland) )
+"
+RDEPEND="${DEPEND}
+       app? ( $(add_frameworks_dep kirigami) )
+       wayland? ( $(add_plasma_dep kwin) )
+       !kde-misc/kdeconnect:4
+"
+
+RESTRICT+=" test"
+
+PATCHES=( "${FILESDIR}/${PN}-1.3.0-no-wayland.patch" )
+
+src_prepare() {
+       kde5_src_prepare
+
+       sed \
+               -e 's#${LIBEXEC_INSTALL_DIR}#@KDE_INSTALL_FULL_LIBEXECDIR@#' \
+               -i daemon/kdeconnectd.desktop.cmake || die
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DEXPERIMENTALAPP_ENABLED=$(usex app)
+               $(cmake-utils_use_find_package mousepad LibFakeKey)
+               $(cmake-utils_use_find_package wayland KF5Wayland)
+       )
+
+       kde5_src_configure
+}
+
+pkg_postinst(){
+       kde5_pkg_postinst
+
+       elog
+       elog "Optional dependency:"
+       elog "net-fs/sshfs (for 'remote filesystem browser' plugin)"
+       elog
+       elog "The Android .apk file is available via"
+       elog 
"https://play.google.com/store/apps/details?id=org.kde.kdeconnect_tp";
+       elog "or via"
+       elog "https://f-droid.org/repository/browse/?fdid=org.kde.kdeconnect_tp";
+       elog
+}

diff --git a/kde-misc/kdeconnect/metadata.xml b/kde-misc/kdeconnect/metadata.xml
index 320dfa65998..ccae5861e28 100644
--- a/kde-misc/kdeconnect/metadata.xml
+++ b/kde-misc/kdeconnect/metadata.xml
@@ -7,6 +7,7 @@
        </maintainer>
        <use>
                <flag name="app">Enable experimental kcapp frontend</flag>
+               <flag name="mousepad">Enable remote mousepad plugin using 
<pkg>x11-libs/libfakekey</pkg></flag>
                <flag name="sms">Enable SMS support using 
<pkg>kde-frameworks/kpeople</pkg></flag>
                <flag name="wayland">Enable kwin_wayland support for mousepad 
plugin using <pkg>kde-frameworks/kwayland</pkg></flag>
        </use>

Reply via email to